Subject: Re: [pkix] [Errata Rejected] RFC5272 (4186)

From: "Leonberger, Pierce (US SSA)" <[email-masked]>
Date: Wed, 1 Apr 2015 13:39:55 +0000

The CMS Data Content Type does not have an ASN.1 Type associated with it. 

There are no "standard" RFCs in which Data Content Type is defined as an OCTET STRING.  In RFCs 5911 and 6268 "new" ASN.1 syntax is used to define EncapsulatedContentInfo where eContent contains an Open Type.   In RFC 5911 the "ct-Data" CONTENT-TYPE was initially defined as having a OCTET STRING type.   That was corrected in the errata and subsequent 6268.

-Pierce
________________________________________
From: RFC Errata System [[email-masked]]
Sent: Tuesday, March 31, 2015 5:01 PM
To: Leonberger, Pierce (US SSA); [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [Errata Rejected] RFC5272 (4186)

The following errata report has been rejected for RFC5272,
"Certificate Management over CMS (CMC)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5272&eid=4186

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Pierce Leonberger <[email-masked]>
Date Reported: 2014-11-18
Rejected by: Kathleen Moriarty (IESG)

Section: 3.2.1.3.2

Original Text
-------------
The Data content type allows for general transport of unstructured
   data.

   The Data content type is used by this document for:

      Holding the encrypted random value y for POP proof in the
      encrypted POP control (see Section 6.7).

Corrected Text
--------------
See Notes

Notes
-----
It's invalid for the encoding of an ANY or OpenType to have "unstructured" data.  See X.690 section 8.15:

8.15 Encoding of an open type
The value of an open type is also a value of some (other) ASN.1 type. The encoding of such a value shall be the complete encoding herein specified for the value considered as being of that other type.

Note there's similar wording in X.209 section 21 for ANY:

21 Encoding of a value of the ANY type
The encoding of an ANY type shall be the complete encoding specified in this Recommendation for the type of the value of the ANY type.
 --VERIFIER NOTES--
The Data content type being referenced here is the Data content type from CMS.  This type is defined as using an OCTET STRING wrapper around the data.  Therefore unstructured data is not being placed at the ASN.1 level and the referenced text does not apply.

--------------------------------------
RFC5272 (draft-ietf-pkix-2797-bis-07)
--------------------------------------
Title               : Certificate Management over CMS (CMC)
Publication Date    : June 2008
Author(s)           : J. Schaad, M. Myers
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG